Skip to main content
POST
/
streams
/
evm
/
{chainId}
/
block
/
{blockNumber}
Get webhook data returned on the block number with provided stream config
curl --request POST \
  --url https://api.moralis-streams.com/streams/evm/{chainId}/block/{blockNumber} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "tag": "<string>",
  "topic0": [
    "<string>"
  ],
  "allAddresses": true,
  "includeNativeTxs": true,
  "includeContractLogs": true,
  "includeInternalTxs": true,
  "includeAllTxLogs": true,
  "filterPossibleSpamAddresses": true,
  "abi": null,
  "advancedOptions": null,
  "addresses": [
    "<string>"
  ]
}
'
{
  "block": {
    "number": "<string>",
    "hash": "<string>",
    "timestamp": "<string>"
  },
  "chainId": "<string>",
  "logs": [
    {
      "logIndex": "<string>",
      "transactionHash": "<string>",
      "address": "<string>",
      "data": "<string>",
      "topic0": "<string>",
      "topic1": "<string>",
      "topic2": "<string>",
      "topic3": "<string>",
      "triggers": [
        {
          "value": "<unknown>",
          "name": "<string>"
        }
      ],
      "triggered_by": [
        "<string>"
      ]
    }
  ],
  "txs": [
    {
      "hash": "<string>",
      "gas": "<string>",
      "gasPrice": "<string>",
      "nonce": "<string>",
      "input": "<string>",
      "transactionIndex": "<string>",
      "fromAddress": "<string>",
      "toAddress": "<string>",
      "value": "<string>",
      "type": "<string>",
      "v": "<string>",
      "r": "<string>",
      "s": "<string>",
      "receiptCumulativeGasUsed": "<string>",
      "receiptGasUsed": "<string>",
      "receiptContractAddress": "<string>",
      "receiptRoot": "<string>",
      "receiptStatus": "<string>",
      "triggers": [
        {
          "value": "<unknown>",
          "name": "<string>"
        }
      ],
      "triggered_by": [
        "<string>"
      ]
    }
  ],
  "txsInternal": [
    {
      "from": "<string>",
      "to": "<string>",
      "value": "<string>",
      "transactionHash": "<string>",
      "gas": "<string>",
      "triggered_by": [
        "<string>"
      ]
    }
  ],
  "abi": [
    {}
  ],
  "retries": 123,
  "confirmed": true,
  "tag": "<string>",
  "streamId": "<string>",
  "erc20Transfers": [
    {
      "transactionHash": "<string>",
      "contract": "<string>",
      "logIndex": "<string>",
      "from": "<string>",
      "to": "<string>",
      "value": "<string>",
      "tokenDecimals": "<string>",
      "tokenName": "<string>",
      "tokenSymbol": "<string>",
      "possibleSpam": true,
      "triggered_by": [
        "<string>"
      ],
      "valueWithDecimals": "<string>",
      "logo": "<string>",
      "thumbnail": "<string>",
      "verifiedCollection": true,
      "triggers": [
        {
          "value": "<unknown>",
          "name": "<string>"
        }
      ]
    }
  ],
  "erc20Approvals": [
    {
      "transactionHash": "<string>",
      "contract": "<string>",
      "logIndex": "<string>",
      "owner": "<string>",
      "spender": "<string>",
      "value": "<string>",
      "tokenDecimals": "<string>",
      "tokenName": "<string>",
      "tokenSymbol": "<string>",
      "possibleSpam": true,
      "triggered_by": [
        "<string>"
      ],
      "valueWithDecimals": "<string>",
      "logo": "<string>",
      "thumbnail": "<string>",
      "verifiedCollection": true,
      "triggers": [
        {
          "value": "<unknown>",
          "name": "<string>"
        }
      ]
    }
  ],
  "nftTransfers": [
    {
      "transactionHash": "<string>",
      "contract": "<string>",
      "logIndex": "<string>",
      "tokenContractType": "<string>",
      "tokenName": "<string>",
      "tokenSymbol": "<string>",
      "possibleSpam": true,
      "operator": "<string>",
      "from": "<string>",
      "to": "<string>",
      "tokenId": "<string>",
      "amount": "<string>",
      "triggered_by": [
        "<string>"
      ],
      "triggers": [
        {
          "value": "<unknown>",
          "name": "<string>"
        }
      ]
    }
  ],
  "nativeBalances": [
    {
      "address": "<string>",
      "balance": "<string>",
      "balanceWithDecimals": "<string>"
    }
  ],
  "nftApprovals": {
    "ERC721": [
      {
        "transactionHash": "<string>",
        "contract": "<string>",
        "logIndex": "<string>",
        "owner": "<string>",
        "approved": "<string>",
        "tokenId": "<string>",
        "tokenContractType": "<string>",
        "tokenName": "<string>",
        "tokenSymbol": "<string>",
        "triggered_by": [
          "<string>"
        ]
      }
    ],
    "ERC1155": [
      {
        "transactionHash": "<string>",
        "contract": "<string>",
        "logIndex": "<string>",
        "account": "<string>",
        "operator": "<string>",
        "approved": true,
        "tokenContractType": "<string>",
        "tokenName": "<string>",
        "tokenSymbol": "<string>",
        "triggered_by": [
          "<string>"
        ]
      }
    ]
  },
  "nftTokenApprovals": [
    {
      "transactionHash": "<string>",
      "contract": "<string>",
      "logIndex": "<string>",
      "tokenContractType": "<string>",
      "tokenName": "<string>",
      "tokenSymbol": "<string>",
      "possibleSpam": true,
      "account": "<string>",
      "operator": "<string>",
      "approvedAll": true,
      "tokenId": "<string>",
      "triggered_by": [
        "<string>"
      ]
    }
  ]
}

Authorizations

x-api-key
string
header
required

Path Parameters

chainId
string
required
blockNumber
number<double>
required

Body

application/json

streams config and block number

streams config and block number

tag
string

A user-provided tag that will be send along the webhook, the user can use this tag to identify the specific stream if multiple streams are present

topic0
string[] | null

An Array of topic0's in string-signature format ex: ['FunctionName(address,uint256)']

allAddresses
boolean

Include events for all addresses (only applied when abi and topic0 is provided)

includeNativeTxs
boolean

Include or not native transactions defaults to false

includeContractLogs
boolean

Include or not logs of contract interactions defaults to false

includeInternalTxs
boolean

Include or not include internal transactions defaults to false

includeAllTxLogs
boolean

Include all logs if atleast one value in tx or log matches stream config

filterPossibleSpamAddresses
boolean
abi
unknown
advancedOptions
unknown
addresses
string[]

Response

200 - application/json

Ok

block
object
required
chainId
string
required
logs
object[]
required
txs
object[]
required
txsInternal
object[]
required
abi
object[]
required
retries
number<double>
required
confirmed
boolean
required
tag
string
required
streamId
string
required
erc20Transfers
object[]
required
erc20Approvals
object[]
required
nftTransfers
object[]
required
nativeBalances
object[]
required
nftApprovals
object
required
deprecated
nftTokenApprovals
object[]
required